import Foundation
import HealthKit

extension HKWorkoutEvent: @retroactive Identifiable {

    public var id: Int {
        Int(dateInterval.start.timeIntervalSinceReferenceDate) << 16 +
        Int(dateInterval.duration) << 8 +
        type.rawValue
    }
}
